## LassoDiscoQueryResponse LassoDiscoQueryResponse — <disco:QueryResponse> |

## Functions

LassoDiscoQueryResponse * | lasso_disco_query_response_new ()

## Types and Values

struct | LassoDiscoQueryResponse

## Description

Figure 109. Schema fragment for disco:QueryResponse

    <xs:complexType name="QueryResponseType">
      <xs:sequence>
        <xs:element ref="lu:Status"/>

        <xs:element ref="wsa:EndpointReference"
          minOccurs="0"
          maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:anyAttribute namespace="##other" processContents="lax"/>
      </xs:complexType>

## Functions

### lasso_disco_query_response_new ()

    LassoDiscoQueryResponse *
    lasso_disco_query_response_new (LassoUtilityStatus *status);

## Types and Values

### struct LassoDiscoQueryResponse

    struct LassoDiscoQueryResponse {
    	LassoNode parent;

    	LassoUtilityStatus *Status;
    	GList *ResourceOffering; /* of LassoNode */
    	LassoDiscoCredentials *Credentials;

    	char *id;
    };